import os
import translate
import re

path0=os.getcwd()
path=path0+"\mytxt"

#读取文档内容
def read_txt(path):
    with open(path,'r') as f:
        content = f.read()
        f.close()
    return content




if __name__ == "__main__":

    lan="1：简体中文  2：英语  3：繁体中文  4：德语  5：俄语  6：法语  7：韩语  8：日语  9：泰语  10：西班牙语  11：意大利语  12：越南语"
    print(lan)
    lan1 = int(input("请选择目标语言编号"))
    language = {4: 'de',2: 'en',10: 'es', 6: 'fr',11: 'it',8: 'ja',7: 'ko',5: 'ru',9: 'th', 12: 'vi',1: 'zh-CN',3: 'zh-TW'}
    lan11=language[lan1]

    for root, dirs, files in os.walk(path):
        for name in files:
            x = os.path.join(root, name)
            con = read_txt(x)
            con = con.replace("\n", "")   # 删除换行符
            content = con
            num=int(len(content)/4000)+1
            last_str=""
            last_con=""
            for i in range(num):  # 每大约4000个左右的字符执行一次翻译（每次翻译都是完整的一句话）
                pattern = r"[.|。]"
                con_0=last_str+content[4000*i:4000*(i+1)]
                result = re.split(pattern, con_0)
                last_str=result[-1]
                con_1=con_0[0:len(con_0)-len(last_str)]


                ts = translate.Translate_as_google(lan11, "auto")
                result = ts.translate(con_1)

                last_con=last_con+"*"*50+result
            filename = path0 + "\mytxt_translate"+"\\"+name
            file_txt = open(filename, 'w',encoding="utf-8")
            txt=str(last_con)
            txt=txt.replace("\n","")
            file_txt.write(txt)
            file_txt.close()
            print(name ,"翻译结束")


